-- This file is generated from citeproc-bibtex-data.json by scripts/update-bibtex-data.py

return {
  description = "BibTeX CSL mapping",
  types = {
    abstract = {
      csl = nil,
    },
    ancienttext = {
      csl = "classic",
    },
    archival = {
      csl = "collection",
    },
    archive = {
      csl = "collection",
    },
    article = {
      csl = "article-journal",
    },
    ["article-journal"] = {
      csl = "article-journal",
    },
    ["article-magazine"] = {
      csl = "article-magazine",
    },
    ["article-newspaper"] = {
      csl = "article-newspaper",
    },
    artifactdataset = {
      csl = "dataset",
    },
    artifactsoftware = {
      csl = "software",
    },
    artwork = {
      csl = "graphic",
    },
    atlas = {
      csl = nil,
    },
    audio = {
      csl = "song",
    },
    bachelor = {
      csl = "thesis",
    },
    bibnote = {
      csl = nil,
    },
    bill = {
      csl = "bill",
    },
    book = {
      csl = "book",
    },
    bookinarticle = {
      csl = nil,
    },
    bookinbook = {
      csl = "chapter",
    },
    bookincollection = {
      csl = nil,
    },
    bookininarticle = {
      csl = nil,
    },
    bookininbook = {
      csl = nil,
    },
    bookinincollection = {
      csl = nil,
    },
    bookininproceedings = {
      csl = nil,
    },
    bookininreference = {
      csl = nil,
    },
    bookinjournal = {
      csl = nil,
    },
    bookinmathesis = {
      csl = nil,
    },
    bookinphdthesis = {
      csl = nil,
    },
    bookinproceedings = {
      csl = nil,
    },
    bookinreference = {
      csl = nil,
    },
    bookinthesis = {
      csl = nil,
    },
    booklet = {
      csl = "pamphlet",
    },
    broadcast = {
      csl = "broadcast",
    },
    brochure = {
      csl = "pamphlet",
    },
    catalog = {
      csl = nil,
    },
    cconference = {
      csl = "paper-conference",
    },
    chapter = {
      csl = "chapter",
    },
    classic = {
      csl = "classic",
    },
    classictext = {
      csl = "classic",
    },
    codefragment = {
      csl = "software",
    },
    collection = {
      csl = "book",
    },
    comment = {
      csl = nil,
    },
    commentary = {
      csl = "book",
    },
    commented = {
      csl = nil,
    },
    committee = {
      csl = nil,
    },
    conference = {
      csl = "paper-conference",
    },
    conferencepaper = {
      csl = "paper-conference",
    },
    constitution = {
      csl = "legislation",
    },
    ctan = {
      csl = "software",
    },
    customa = {
      csl = nil,
    },
    customb = {
      csl = nil,
    },
    customc = {
      csl = nil,
    },
    customd = {
      csl = nil,
    },
    custome = {
      csl = nil,
    },
    customf = {
      csl = nil,
    },
    data = {
      csl = nil,
    },
    database = {
      csl = "dataset",
    },
    dataset = {
      csl = "dataset",
    },
    degree = {
      csl = nil,
    },
    dictionary = {
      csl = "book",
    },
    docthesis = {
      csl = "thesis",
    },
    document = {
      csl = "document",
    },
    electronic = {
      csl = "webpage",
    },
    entry = {
      csl = "entry",
    },
    ["entry-dictionary"] = {
      csl = "entry-dictionary",
    },
    ["entry-encyclopedia"] = {
      csl = "entry-encyclopedia",
    },
    eulegislation = {
      csl = "legislation",
    },
    event = {
      csl = "event",
    },
    exhibcatalog = {
      csl = nil,
    },
    figure = {
      csl = "figure",
    },
    footnote = {
      csl = nil,
    },
    funding = {
      csl = nil,
    },
    game = {
      csl = "software",
    },
    gitcommit = {
      csl = nil,
    },
    govpub = {
      csl = "regulation",
    },
    graphic = {
      csl = "graphic",
    },
    habthesis = {
      csl = "thesis",
    },
    heading = {
      csl = nil,
    },
    hearing = {
      csl = "hearing",
    },
    hidden = {
      csl = nil,
    },
    image = {
      csl = "graphic",
    },
    inarticle = {
      csl = nil,
    },
    inaudio = {
      csl = nil,
    },
    inbook = {
      csl = "chapter",
    },
    incatalog = {
      csl = nil,
    },
    incollection = {
      csl = "chapter",
    },
    incommentary = {
      csl = nil,
    },
    inexhibcatalog = {
      csl = nil,
    },
    ininarticle = {
      csl = nil,
    },
    ininbook = {
      csl = nil,
    },
    inincollection = {
      csl = nil,
    },
    ininproceedings = {
      csl = nil,
    },
    ininreference = {
      csl = nil,
    },
    inlexicon = {
      csl = nil,
    },
    inloosecollection = {
      csl = "chapter",
    },
    inmathesis = {
      csl = nil,
    },
    inmovie = {
      csl = nil,
    },
    inmusic = {
      csl = nil,
    },
    inphdthesis = {
      csl = nil,
    },
    inpress = {
      csl = "article",
    },
    inproceedings = {
      csl = "paper-conference",
    },
    inreference = {
      csl = "entry",
    },
    inserialcollection = {
      csl = nil,
    },
    internet = {
      csl = "webpage",
    },
    interview = {
      csl = "interview",
    },
    inthesis = {
      csl = nil,
    },
    invideo = {
      csl = nil,
    },
    journalpart = {
      csl = nil,
    },
    journals = {
      csl = "periodical",
    },
    jurisdiction = {
      csl = "legal_case",
    },
    jurthesis = {
      csl = "thesis",
    },
    legadminmaterial = {
      csl = "regulation",
    },
    legal = {
      csl = "treaty",
    },
    legal_case = {
      csl = "legal_case",
    },
    legislation = {
      csl = "legislation",
    },
    legmaterial = {
      csl = "legislation",
    },
    letter = {
      csl = "personal_communication",
    },
    letters = {
      csl = "personal_communication",
    },
    lexicon = {
      csl = "book",
    },
    majorthesis = {
      csl = "thesis",
    },
    manual = {
      csl = "report",
    },
    manuscript = {
      csl = "manuscript",
    },
    map = {
      csl = "map",
    },
    mastersthesis = {
      csl = "thesis",
    },
    masterthesis = {
      csl = "thesis",
    },
    minorthesis = {
      csl = "thesis",
    },
    misc = {
      csl = "document",
    },
    mlasource = {
      csl = nil,
    },
    monograph = {
      csl = "book",
    },
    monography = {
      csl = "book",
    },
    motion_picture = {
      csl = "motion_picture",
    },
    movie = {
      csl = "motion_picture",
    },
    music = {
      csl = "song",
    },
    musical_score = {
      csl = "musical_score",
    },
    mvbook = {
      csl = "book",
    },
    mvcollection = {
      csl = "book",
    },
    mvcommentary = {
      csl = nil,
    },
    mvlexicon = {
      csl = nil,
    },
    mvproceedings = {
      csl = "book",
    },
    mvreference = {
      csl = "book",
    },
    nameonly = {
      csl = nil,
    },
    news = {
      csl = "article-newspaper",
    },
    newsarticle = {
      csl = "article-newspaper",
    },
    newspaper = {
      csl = "article-newspaper",
    },
    online = {
      csl = "webpage",
    },
    other = {
      csl = nil,
    },
    pamphlet = {
      csl = "pamphlet",
    },
    ["paper-conference"] = {
      csl = "paper-conference",
    },
    patent = {
      csl = "patent",
    },
    performance = {
      csl = "performance",
    },
    periodical = {
      csl = "periodical",
    },
    personal_communication = {
      csl = "personal_communication",
    },
    phdthesis = {
      csl = "thesis",
    },
    post = {
      csl = "post",
    },
    ["post-weblog"] = {
      csl = "post-weblog",
    },
    preamble = {
      csl = nil,
    },
    preprint = {
      csl = "article",
    },
    presentation = {
      csl = "speech",
    },
    proceedings = {
      csl = "book",
    },
    program = {
      csl = "software",
    },
    reference = {
      csl = "book",
    },
    regulation = {
      csl = "regulation",
    },
    report = {
      csl = "report",
    },
    repository = {
      csl = nil,
    },
    review = {
      csl = "review",
    },
    ["review-book"] = {
      csl = "review-book",
    },
    school = {
      csl = nil,
    },
    seminarpaper = {
      csl = nil,
    },
    set = {
      csl = nil,
    },
    setup = {
      csl = nil,
    },
    software = {
      csl = "software",
    },
    softwaremodule = {
      csl = "software",
    },
    softwareversion = {
      csl = nil,
    },
    song = {
      csl = "song",
    },
    speech = {
      csl = "speech",
    },
    standard = {
      csl = "standard",
    },
    string = {
      csl = nil,
    },
    student = {
      csl = nil,
    },
    suppbook = {
      csl = "chapter",
    },
    suppcollection = {
      csl = "chapter",
    },
    suppperiodical = {
      csl = "article",
    },
    talk = {
      csl = "speech",
    },
    teaching = {
      csl = nil,
    },
    techreport = {
      csl = "report",
    },
    techstandard = {
      csl = "standard",
    },
    thesis = {
      csl = "thesis",
    },
    treaty = {
      csl = "treaty",
    },
    uklegislation = {
      csl = "legislation",
    },
    unpublished = {
      csl = "manuscript",
    },
    video = {
      csl = "motion_picture",
    },
    webpage = {
      csl = "webpage",
    },
    website = {
      csl = "webpage",
    },
    www = {
      csl = "webpage",
    },
    xdata = {
      csl = nil,
    },
  },
  fields = {
    abstract = {
      csl = "abstract",
      type = "literal",
    },
    abstractloc = {
      csl = nil,
      type = "literal",
    },
    abstracturl = {
      csl = nil,
      type = "verbatim",
    },
    accessed = {
      csl = "accessed",
    },
    account = {
      csl = nil,
    },
    acronym = {
      csl = nil,
      type = "literal",
    },
    actor = {
      csl = "performer",
      type = "name",
    },
    add = {
      csl = nil,
    },
    add1 = {
      csl = nil,
    },
    addendum = {
      csl = nil,
      type = "literal",
    },
    address = {
      csl = "publisher-place",
      type = "literal",
    },
    adsurl = {
      csl = nil,
    },
    advisor = {
      csl = nil,
      type = "name",
    },
    afterword = {
      csl = nil,
      type = "name",
    },
    alternatetitle = {
      csl = nil,
      type = "literal",
    },
    alternatetitlescript = {
      csl = nil,
      type = "literal",
    },
    amendment = {
      csl = nil,
      type = "literal",
    },
    amount = {
      csl = nil,
      type = "integer",
    },
    annotate = {
      csl = "note",
    },
    annotation = {
      csl = "note",
      type = "literal",
    },
    annotator = {
      csl = nil,
      type = "name",
    },
    annote = {
      csl = "note",
      type = "literal",
    },
    annotelanguage = {
      csl = nil,
    },
    anonstring = {
      csl = nil,
      type = "name",
    },
    appentry = {
      csl = nil,
      type = "literal",
    },
    applicant = {
      csl = nil,
    },
    arachne = {
      csl = nil,
      type = "verbatim",
    },
    archive = {
      csl = "archive",
    },
    ["archive-place"] = {
      csl = "archive-place",
    },
    archive_collection = {
      csl = "archive_collection",
    },
    archive_location = {
      csl = "archive_location",
    },
    archiveprefix = {
      csl = "archive",
      type = "literal",
    },
    archname = {
      csl = "archive",
    },
    arthist = {
      csl = nil,
      type = "integer",
    },
    arthistdate = {
      csl = nil,
      type = "date",
    },
    article = {
      csl = nil,
      type = "literal",
    },
    articleno = {
      csl = nil,
      type = "literal",
    },
    arxiv = {
      csl = nil,
    },
    assignee = {
      csl = nil,
    },
    author = {
      csl = "author",
      type = "name",
    },
    authoraddon = {
      csl = nil,
      type = "name",
    },
    authorcountry = {
      csl = nil,
      type = "literal",
    },
    authorfa = {
      csl = nil,
    },
    authority = {
      csl = "authority",
    },
    authortype = {
      csl = nil,
      type = "key",
    },
    ["available-date"] = {
      csl = "available-date",
    },
    bibsource = {
      csl = nil,
    },
    biburl = {
      csl = nil,
    },
    binding = {
      csl = nil,
    },
    birthday = {
      csl = nil,
    },
    birthyear = {
      csl = nil,
    },
    blogsubtitle = {
      csl = nil,
      type = "literal",
    },
    blogtitle = {
      csl = "title",
      type = "literal",
    },
    blogtitleaddon = {
      csl = nil,
      type = "literal",
    },
    book = {
      csl = nil,
      type = "range",
    },
    bookaddress = {
      csl = "publisher-place",
    },
    bookafterword = {
      csl = nil,
      type = "name",
    },
    bookannotator = {
      csl = nil,
      type = "name",
    },
    bookauthor = {
      csl = "container-author",
      type = "name",
    },
    bookauthortype = {
      csl = nil,
      type = "literal",
    },
    bookbooksubtitle = {
      csl = nil,
      type = "literal",
    },
    bookbooktitle = {
      csl = nil,
      type = "literal",
    },
    bookbooktitleaddon = {
      csl = nil,
      type = "literal",
    },
    bookbooktitlekey = {
      csl = nil,
      type = "key",
    },
    bookbookvolume = {
      csl = nil,
      type = "literal",
    },
    bookcommentator = {
      csl = nil,
      type = "name",
    },
    bookcredits = {
      csl = nil,
      type = "literal",
    },
    bookeditor = {
      csl = "editor",
      type = "name",
    },
    bookforeword = {
      csl = nil,
      type = "name",
    },
    bookineditor = {
      csl = nil,
      type = "name",
    },
    bookintroduction = {
      csl = nil,
      type = "name",
    },
    booklanguage = {
      csl = nil,
    },
    bookoriglanguage = {
      csl = nil,
      type = "key",
    },
    bookpages = {
      csl = nil,
    },
    bookpagination = {
      csl = nil,
      type = "key",
    },
    books = {
      csl = nil,
      type = "literal",
    },
    booksubtitle = {
      csl = nil,
      type = "literal",
    },
    booktitle = {
      csl = "container-title",
      type = "literal",
    },
    booktitleaddon = {
      csl = nil,
      type = "literal",
    },
    booktitlekey = {
      csl = nil,
      type = "key",
    },
    booktitlenote = {
      csl = nil,
      type = "literal",
    },
    booktranslator = {
      csl = "translator",
      type = "name",
    },
    bookvolume = {
      csl = nil,
      type = "literal",
    },
    bookyear = {
      csl = nil,
      type = "literal",
    },
    ["call-number"] = {
      csl = "call-number",
    },
    caption = {
      csl = nil,
    },
    caption1 = {
      csl = nil,
    },
    cartographer = {
      csl = nil,
    },
    casenumber = {
      csl = nil,
    },
    catalog = {
      csl = nil,
      type = "literal",
    },
    category = {
      csl = nil,
    },
    cellular = {
      csl = nil,
    },
    chair = {
      csl = "chair",
    },
    chapter = {
      csl = "chapter-number",
      type = "literal",
    },
    ["chapter-number"] = {
      csl = "chapter-number",
    },
    citation = {
      csl = nil,
      type = "literal",
    },
    citedate = {
      csl = nil,
    },
    city = {
      csl = nil,
    },
    classes = {
      csl = nil,
      type = "entrykey",
    },
    claves = {
      csl = nil,
      type = "literal",
    },
    claves_definition = {
      csl = nil,
      type = "literal",
    },
    code = {
      csl = nil,
    },
    coden = {
      csl = nil,
    },
    collaboration = {
      csl = nil,
      type = "literal",
    },
    collator = {
      csl = nil,
    },
    collection = {
      csl = nil,
      type = "literal",
    },
    ["collection-editor"] = {
      csl = "collection-editor",
    },
    ["collection-number"] = {
      csl = "collection-number",
    },
    ["collection-title"] = {
      csl = "collection-title",
    },
    columns = {
      csl = nil,
      type = "literal",
    },
    commentator = {
      csl = nil,
      type = "name",
    },
    commit = {
      csl = nil,
    },
    commithash = {
      csl = nil,
      type = "literal",
    },
    committee = {
      csl = nil,
      type = "name",
    },
    compiler = {
      csl = "compiler",
    },
    composer = {
      csl = "composer",
    },
    concentration = {
      csl = nil,
      type = "literal",
    },
    condition = {
      csl = nil,
    },
    ["conference-location"] = {
      csl = nil,
    },
    ["conference-number"] = {
      csl = nil,
    },
    ["conference-year"] = {
      csl = nil,
    },
    ["container-author"] = {
      csl = "container-author",
    },
    ["container-title"] = {
      csl = "container-title",
    },
    ["container-title-short"] = {
      csl = "container-title-short",
    },
    contents = {
      csl = nil,
      type = "literal",
    },
    contributor = {
      csl = "contributor",
    },
    contributora = {
      csl = nil,
      type = "literal",
    },
    contributorb = {
      csl = nil,
      type = "literal",
    },
    copublisher = {
      csl = nil,
      type = "literal",
    },
    copy = {
      csl = nil,
    },
    country = {
      csl = "jurisdiction",
    },
    credits = {
      csl = nil,
      type = "literal",
    },
    crossref = {
      csl = nil,
      type = "entrykey",
    },
    curator = {
      csl = "curator",
    },
    currency = {
      csl = nil,
      type = "literal",
    },
    custom = {
      csl = "custom",
    },
    dataset = {
      csl = nil,
    },
    date = {
      csl = "issued",
      type = "date",
    },
    ["date+an"] = {
      csl = nil,
      type = "literal",
    },
    datea = {
      csl = nil,
      type = "literal",
    },
    dateaddon = {
      csl = nil,
      type = "literal",
    },
    dateb = {
      csl = nil,
      type = "literal",
    },
    datetype = {
      csl = nil,
      type = "literal",
    },
    dating = {
      csl = nil,
      type = "literal",
    },
    day = {
      csl = nil,
    },
    dayfiled = {
      csl = nil,
    },
    decision = {
      csl = nil,
      type = "literal",
    },
    decisionname = {
      csl = nil,
      type = "literal",
    },
    definition = {
      csl = nil,
    },
    degree = {
      csl = nil,
      type = "literal",
    },
    degreelist = {
      csl = nil,
      type = "entrykey",
    },
    department = {
      csl = nil,
      type = "literal",
    },
    description = {
      csl = nil,
    },
    designator = {
      csl = nil,
    },
    dimensions = {
      csl = "dimensions",
    },
    director = {
      csl = "director",
      type = "name",
    },
    dissyear = {
      csl = nil,
    },
    distinctURL = {
      csl = nil,
      type = "literal",
    },
    division = {
      csl = "division",
    },
    doi = {
      csl = "DOI",
      type = "verbatim",
    },
    dticnumber = {
      csl = nil,
    },
    dummy = {
      csl = nil,
    },
    duration = {
      csl = nil,
      type = "literal",
    },
    durationtype = {
      csl = nil,
      type = "literal",
    },
    edition = {
      csl = "edition",
      type = "literal",
    },
    editioncredits = {
      csl = nil,
      type = "literal",
    },
    editor = {
      csl = "editor",
      type = "name",
    },
    editora = {
      csl = nil,
      type = "name",
    },
    editoraaddon = {
      csl = nil,
      type = "literal",
    },
    editoraddon = {
      csl = nil,
      type = "name",
    },
    editoratype = {
      csl = nil,
      type = "key",
    },
    editorb = {
      csl = nil,
      type = "name",
    },
    editorbtype = {
      csl = nil,
      type = "key",
    },
    editorc = {
      csl = nil,
      type = "name",
    },
    editorctype = {
      csl = nil,
      type = "key",
    },
    ["editorial-director"] = {
      csl = "editorial-director",
    },
    editortype = {
      csl = nil,
      type = "key",
    },
    eid = {
      csl = nil,
      type = "literal",
    },
    email = {
      csl = nil,
    },
    endbookyear = {
      csl = nil,
      type = "literal",
    },
    endnumber = {
      csl = nil,
    },
    endvolume = {
      csl = nil,
    },
    endyear = {
      csl = nil,
    },
    englishabstract = {
      csl = nil,
      type = "literal",
    },
    englishtitle = {
      csl = nil,
    },
    entryset = {
      csl = nil,
      type = "entrykey",
    },
    entrysubtype = {
      csl = nil,
      type = "literal",
    },
    epilog = {
      csl = nil,
    },
    eprint = {
      csl = nil,
      type = "verbatim",
    },
    eprintclass = {
      csl = nil,
      type = "literal",
    },
    eprintdate = {
      csl = nil,
      type = "date",
    },
    eprintday = {
      csl = nil,
      type = "datepart",
    },
    eprintmonth = {
      csl = nil,
      type = "datepart",
    },
    eprints = {
      csl = nil,
    },
    eprinttype = {
      csl = "archive",
      type = "literal",
    },
    eprintyear = {
      csl = nil,
      type = "datepart",
    },
    erratumeid = {
      csl = nil,
    },
    erratumgermanpages = {
      csl = nil,
    },
    erratumnumpages = {
      csl = nil,
    },
    erratumpages = {
      csl = nil,
    },
    erratumvolume = {
      csl = nil,
    },
    erratumyear = {
      csl = nil,
    },
    event = {
      csl = "event-title",
    },
    ["event-date"] = {
      csl = "event-date",
    },
    ["event-place"] = {
      csl = "event-place",
    },
    ["event-title"] = {
      csl = "event-title",
    },
    eventdate = {
      csl = "event-date",
      type = "date",
    },
    eventdatelanguage = {
      csl = nil,
      type = "verbatim",
    },
    eventnumber = {
      csl = nil,
      type = "integer",
    },
    eventsubtitle = {
      csl = nil,
      type = "literal",
    },
    eventtitle = {
      csl = "event-title",
      type = "literal",
    },
    eventtitleaddon = {
      csl = nil,
      type = "literal",
    },
    eventtype = {
      csl = nil,
      type = "literal",
    },
    eventyear = {
      csl = nil,
    },
    execdirector = {
      csl = "director",
      type = "name",
    },
    execproducer = {
      csl = "executive-producer",
      type = "name",
    },
    execute = {
      csl = nil,
      type = "code",
    },
    ["executive-producer"] = {
      csl = "executive-producer",
    },
    exhibfirstdate = {
      csl = "event-date",
      type = "date",
    },
    exhibfirstlocation = {
      csl = "event-place",
      type = "literal",
    },
    exhibfirstmuseum = {
      csl = nil,
      type = "literal",
    },
    exhibseconddate = {
      csl = nil,
      type = "date",
    },
    exhibsecondlocation = {
      csl = nil,
      type = "literal",
    },
    exhibsecondmuseum = {
      csl = nil,
      type = "literal",
    },
    exhibthirddate = {
      csl = nil,
      type = "date",
    },
    exhibthirdlocation = {
      csl = nil,
      type = "literal",
    },
    exhibthirdmuseum = {
      csl = nil,
      type = "literal",
    },
    faddress = {
      csl = nil,
    },
    fakeset = {
      csl = nil,
    },
    fax = {
      csl = nil,
    },
    festschrift = {
      csl = nil,
      type = "name",
    },
    festschriftaddon = {
      csl = nil,
      type = "literal",
    },
    file = {
      csl = nil,
      type = "verbatim",
    },
    firstkey = {
      csl = nil,
    },
    fjournal = {
      csl = nil,
    },
    flanguage = {
      csl = nil,
    },
    font = {
      csl = nil,
    },
    foreword = {
      csl = nil,
      type = "name",
    },
    founder = {
      csl = nil,
    },
    fpublisher = {
      csl = nil,
    },
    frenchabstract = {
      csl = nil,
      type = "literal",
    },
    ftitle = {
      csl = nil,
    },
    fulleventdate = {
      csl = nil,
      type = "date",
    },
    funder = {
      csl = nil,
      type = "literal",
    },
    furtherresp = {
      csl = nil,
    },
    fyear = {
      csl = nil,
    },
    gender = {
      csl = nil,
      type = "literal",
    },
    genre = {
      csl = "genre",
    },
    germanpages = {
      csl = nil,
    },
    gpa = {
      csl = nil,
      type = "literal",
    },
    group = {
      csl = nil,
    },
    guest = {
      csl = "guest",
    },
    hal_id = {
      csl = nil,
      type = "verbatim",
    },
    hal_version = {
      csl = "version",
      type = "verbatim",
    },
    handle = {
      csl = nil,
      type = "literal",
    },
    heading = {
      csl = nil,
      type = "literal",
    },
    hereafter = {
      csl = nil,
    },
    holder = {
      csl = nil,
      type = "name",
    },
    honors = {
      csl = nil,
      type = "literal",
    },
    host = {
      csl = "host",
    },
    howcited = {
      csl = nil,
    },
    howpublished = {
      csl = nil,
      type = "literal",
    },
    hyphenation = {
      csl = "language",
      type = "literal",
    },
    ids = {
      csl = nil,
      type = "entrykey",
    },
    illustrated = {
      csl = nil,
    },
    illustrations = {
      csl = nil,
    },
    illustrator = {
      csl = "illustrator",
    },
    impactfactor = {
      csl = nil,
      type = "literal",
    },
    inafterword = {
      csl = nil,
      type = "name",
    },
    inannotator = {
      csl = nil,
      type = "name",
    },
    incommentator = {
      csl = nil,
      type = "name",
    },
    indexsorttitle = {
      csl = nil,
      type = "literal",
    },
    indextitle = {
      csl = nil,
      type = "literal",
    },
    ineditor = {
      csl = nil,
      type = "name",
    },
    inforeword = {
      csl = nil,
      type = "name",
    },
    inintroduction = {
      csl = nil,
      type = "name",
    },
    institution = {
      csl = "publisher",
      type = "literal",
    },
    interviewee = {
      csl = nil,
      type = "name",
    },
    interviewer = {
      csl = "interviewer",
    },
    intranslator = {
      csl = nil,
      type = "name",
    },
    introducedin = {
      csl = nil,
      type = "literal",
    },
    introduction = {
      csl = nil,
      type = "name",
    },
    intype = {
      csl = nil,
    },
    inventor = {
      csl = "author",
    },
    ipc = {
      csl = nil,
      type = "literal",
    },
    isan = {
      csl = nil,
      type = "literal",
    },
    isbn = {
      csl = "ISBN",
      type = "literal",
    },
    ismn = {
      csl = nil,
      type = "literal",
    },
    ["iso-abbreviation"] = {
      csl = nil,
    },
    ["iso-author-punctuation"] = {
      csl = nil,
    },
    ["iso-date-place"] = {
      csl = nil,
    },
    isrn = {
      csl = nil,
      type = "literal",
    },
    issn = {
      csl = "ISSN",
      type = "literal",
    },
    issue = {
      csl = "issue",
      type = "literal",
    },
    issued = {
      csl = "issued",
    },
    issues = {
      csl = nil,
      type = "literal",
    },
    issuesubtitle = {
      csl = nil,
      type = "literal",
    },
    issuetitle = {
      csl = nil,
      type = "literal",
    },
    issuetitleaddon = {
      csl = nil,
      type = "literal",
    },
    iswc = {
      csl = nil,
      type = "literal",
    },
    jfmnumber = {
      csl = nil,
    },
    jointauthor = {
      csl = nil,
      type = "name",
    },
    jointauthortype = {
      csl = nil,
      type = "literal",
    },
    journal = {
      csl = "container-title",
      type = "literal",
    },
    journalabbreviation = {
      csl = "container-title-short",
    },
    journalsubtitle = {
      csl = nil,
      type = "literal",
    },
    journaltie = {
      csl = nil,
    },
    journaltitle = {
      csl = "container-title",
      type = "literal",
    },
    journaltitleaddon = {
      csl = nil,
      type = "literal",
    },
    journalyear = {
      csl = nil,
      type = "literal",
    },
    jstor = {
      csl = nil,
      type = "verbatim",
    },
    juraauthor = {
      csl = nil,
    },
    juratitle = {
      csl = nil,
    },
    jurisdiction = {
      csl = "jurisdiction",
    },
    key = {
      csl = nil,
      type = "literal",
    },
    keyword = {
      csl = "keyword",
    },
    keywords = {
      csl = nil,
      type = "keyword",
    },
    label = {
      csl = nil,
      type = "literal",
    },
    lang = {
      csl = nil,
    },
    langid = {
      csl = "language",
      type = "literal",
    },
    langidopts = {
      csl = nil,
      type = "literal",
    },
    language = {
      csl = nil,
      type = "key",
    },
    lastaccessed = {
      csl = "accessed",
      type = "literal",
    },
    lastchecked = {
      csl = "accessed",
    },
    layer = {
      csl = nil,
      type = "literal",
    },
    lccn = {
      csl = nil,
    },
    library = {
      csl = nil,
      type = "literal",
    },
    librarylocation = {
      csl = "archive-place",
      type = "literal",
    },
    license = {
      csl = "license",
      type = "literal",
    },
    lista = {
      csl = nil,
      type = "literal",
    },
    listb = {
      csl = nil,
      type = "literal",
    },
    listc = {
      csl = nil,
      type = "literal",
    },
    listd = {
      csl = nil,
      type = "literal",
    },
    liste = {
      csl = nil,
      type = "literal",
    },
    listf = {
      csl = nil,
      type = "literal",
    },
    littype = {
      csl = nil,
    },
    location = {
      csl = "publisher-place",
      type = "literal",
    },
    locationa = {
      csl = nil,
      type = "literal",
    },
    locationb = {
      csl = nil,
      type = "literal",
    },
    madadurltest = {
      csl = nil,
    },
    main = {
      csl = nil,
    },
    main1 = {
      csl = nil,
    },
    mainauthor = {
      csl = nil,
      type = "name",
    },
    maineditor = {
      csl = nil,
      type = "name",
    },
    mainsubtitle = {
      csl = nil,
      type = "literal",
    },
    maintainer = {
      csl = nil,
      type = "name",
    },
    maintitle = {
      csl = nil,
      type = "literal",
    },
    maintitleaddon = {
      csl = nil,
      type = "literal",
    },
    maintitlenote = {
      csl = nil,
      type = "literal",
    },
    maintranslator = {
      csl = nil,
      type = "name",
    },
    major = {
      csl = nil,
      type = "literal",
    },
    majorcode = {
      csl = nil,
    },
    marginnote = {
      csl = nil,
    },
    mark = {
      csl = nil,
    },
    ["max.best.papers"] = {
      csl = nil,
    },
    mcitetail = {
      csl = nil,
    },
    media = {
      csl = "medium",
      type = "key",
    },
    medium = {
      csl = "medium",
    },
    meeting = {
      csl = nil,
    },
    minor = {
      csl = nil,
      type = "literal",
    },
    misctitle = {
      csl = nil,
    },
    miscyear = {
      csl = nil,
    },
    mobile = {
      csl = nil,
    },
    modifydate = {
      csl = nil,
    },
    month = {
      csl = nil,
      type = "literal",
    },
    monthfiled = {
      csl = nil,
    },
    mrnumber = {
      csl = nil,
    },
    multieventdate = {
      csl = nil,
      type = "literal",
    },
    multivenue = {
      csl = nil,
      type = "literal",
    },
    name = {
      csl = nil,
      type = "name",
    },
    namea = {
      csl = nil,
      type = "name",
    },
    nameaddon = {
      csl = nil,
      type = "literal",
    },
    nameatype = {
      csl = nil,
      type = "key",
    },
    nameb = {
      csl = nil,
      type = "name",
    },
    namebtype = {
      csl = nil,
      type = "key",
    },
    namec = {
      csl = nil,
      type = "name",
    },
    namectype = {
      csl = nil,
      type = "key",
    },
    narrator = {
      csl = "narrator",
      type = "name",
    },
    nationality = {
      csl = nil,
    },
    nbirthday = {
      csl = nil,
    },
    neutralcite = {
      csl = nil,
      type = "literal",
    },
    newpage = {
      csl = nil,
    },
    newsdate = {
      csl = nil,
      type = "date",
    },
    newspaper = {
      csl = "container-title",
      type = "literal",
    },
    nickname = {
      csl = nil,
    },
    nihms = {
      csl = nil,
    },
    noed = {
      csl = nil,
    },
    nolink = {
      csl = nil,
    },
    normal = {
      csl = nil,
    },
    normalauthor = {
      csl = nil,
    },
    normaleditor = {
      csl = nil,
    },
    note = {
      csl = "note",
      type = "literal",
    },
    nowarning = {
      csl = nil,
    },
    number = {
      csl = "number",
      type = "literal",
    },
    ["number-of-pages"] = {
      csl = "number-of-pages",
    },
    ["number-of-volumes"] = {
      csl = "number-of-volumes",
    },
    numbera = {
      csl = nil,
      type = "literal",
    },
    numberb = {
      csl = nil,
      type = "literal",
    },
    numcites = {
      csl = nil,
      type = "integer",
    },
    numlectures = {
      csl = nil,
      type = "integer",
    },
    numpages = {
      csl = "number-of-pages",
      type = "literal",
    },
    numstudents = {
      csl = nil,
      type = "integer",
    },
    oaddress = {
      csl = "original-publisher-place",
    },
    officialpages = {
      csl = nil,
      type = "literal",
    },
    officialvolume = {
      csl = nil,
      type = "literal",
    },
    openaccess = {
      csl = nil,
      type = "literal",
    },
    options = {
      csl = nil,
      type = "option",
    },
    opublisher = {
      csl = "original-publisher",
    },
    ["org-short"] = {
      csl = nil,
    },
    organization = {
      csl = "publisher",
      type = "literal",
    },
    organizer = {
      csl = "organizer",
    },
    origdate = {
      csl = "original-date",
      type = "date",
    },
    ["origdate+an"] = {
      csl = nil,
      type = "literal",
    },
    origdatetype = {
      csl = nil,
      type = "literal",
    },
    origin = {
      csl = nil,
      type = "literal",
    },
    ["original-author"] = {
      csl = "original-author",
    },
    ["original-date"] = {
      csl = "original-date",
    },
    ["original-publisher"] = {
      csl = "original-publisher",
    },
    ["original-publisher-place"] = {
      csl = "original-publisher-place",
    },
    ["original-title"] = {
      csl = "original-title",
    },
    originaladdress = {
      csl = "original-publisher-place",
    },
    originalbooktitle = {
      csl = nil,
    },
    originaledition = {
      csl = nil,
    },
    originaleditor = {
      csl = nil,
    },
    originaljournal = {
      csl = nil,
    },
    originalnumber = {
      csl = nil,
    },
    originalpages = {
      csl = nil,
    },
    originalpublisher = {
      csl = "original-publisher",
    },
    originalvolume = {
      csl = nil,
    },
    originalyear = {
      csl = "original-date",
    },
    origlanguage = {
      csl = nil,
      type = "key",
    },
    origlocation = {
      csl = "original-publisher-place",
      type = "literal",
    },
    origpublisher = {
      csl = "original-publisher",
      type = "literal",
    },
    origrealdate = {
      csl = nil,
      type = "date",
    },
    origtitle = {
      csl = "original-title",
      type = "literal",
    },
    owner = {
      csl = nil,
      type = "name",
    },
    oyear = {
      csl = nil,
    },
    page = {
      csl = "page",
    },
    pagename = {
      csl = nil,
    },
    pages = {
      csl = "page",
      type = "range",
    },
    pagetotal = {
      csl = "number-of-pages",
      type = "literal",
    },
    pagination = {
      csl = nil,
      type = "key",
    },
    paper = {
      csl = nil,
    },
    pardate = {
      csl = nil,
      type = "date",
    },
    parpages = {
      csl = nil,
      type = "range",
    },
    parreporter = {
      csl = nil,
      type = "literal",
    },
    parseries = {
      csl = nil,
      type = "literal",
    },
    part = {
      csl = "part",
      type = "literal",
    },
    ["part-title"] = {
      csl = "part-title",
    },
    parts = {
      csl = nil,
      type = "literal",
    },
    parttitle = {
      csl = nil,
      type = "literal",
    },
    parvolume = {
      csl = nil,
      type = "integer",
    },
    patentid = {
      csl = nil,
    },
    pdf = {
      csl = nil,
      type = "verbatim",
    },
    peerreview = {
      csl = nil,
      type = "literal",
    },
    performer = {
      csl = "performer",
    },
    phone = {
      csl = nil,
    },
    pid = {
      csl = nil,
    },
    pii = {
      csl = nil,
    },
    pmc = {
      csl = nil,
      type = "literal",
    },
    pmcid = {
      csl = "PMCID",
      type = "literal",
    },
    pmid = {
      csl = "PMID",
      type = "literal",
    },
    prebibitem = {
      csl = nil,
    },
    preface = {
      csl = nil,
      type = "name",
    },
    preprint = {
      csl = nil,
    },
    presentationtype = {
      csl = nil,
      type = "literal",
    },
    presenter = {
      csl = nil,
      type = "name",
    },
    presort = {
      csl = nil,
      type = "literal",
    },
    price = {
      csl = nil,
    },
    primaryclass = {
      csl = nil,
      type = "literal",
    },
    printing = {
      csl = nil,
    },
    ["printing-number"] = {
      csl = "printing-number",
    },
    prioritycountry = {
      csl = nil,
      type = "literal",
    },
    prioritydate = {
      csl = nil,
      type = "date",
    },
    prioritynumber = {
      csl = nil,
      type = "literal",
    },
    producer = {
      csl = "producer",
      type = "name",
    },
    production = {
      csl = nil,
      type = "literal",
    },
    protocollessurl = {
      csl = nil,
      type = "uri",
    },
    pseudonym = {
      csl = nil,
    },
    publication = {
      csl = nil,
      type = "literal",
    },
    publicationdate = {
      csl = nil,
      type = "date",
    },
    publicprice = {
      csl = nil,
      type = "literal",
    },
    publisher = {
      csl = "publisher",
      type = "literal",
    },
    ["publisher-place"] = {
      csl = "publisher-place",
    },
    publishera = {
      csl = nil,
      type = "literal",
    },
    publisherb = {
      csl = nil,
      type = "literal",
    },
    pubmed = {
      csl = "PMID",
    },
    pubstate = {
      csl = "status",
      type = "key",
    },
    rawauthor = {
      csl = nil,
      type = "literal",
    },
    realauthor = {
      csl = nil,
      type = "name",
    },
    realdate = {
      csl = nil,
      type = "date",
    },
    realeditor = {
      csl = nil,
      type = "name",
    },
    recipient = {
      csl = "recipient",
    },
    references = {
      csl = "references",
    },
    related = {
      csl = nil,
      type = "entrykey",
    },
    relatedoptions = {
      csl = nil,
      type = "option",
    },
    relatedstring = {
      csl = nil,
      type = "literal",
    },
    relatedtype = {
      csl = nil,
      type = "literal",
    },
    reportnumber = {
      csl = nil,
      type = "literal",
    },
    repository = {
      csl = nil,
      type = "uri",
    },
    ["reprinted-from"] = {
      csl = nil,
    },
    ["reprinted-text"] = {
      csl = nil,
    },
    reprinttitle = {
      csl = nil,
      type = "literal",
    },
    requestdate = {
      csl = nil,
    },
    requestnumber = {
      csl = nil,
      type = "literal",
    },
    responsible = {
      csl = nil,
    },
    revdauthor = {
      csl = nil,
      type = "name",
    },
    revdeditor = {
      csl = nil,
      type = "name",
    },
    revdshorttitle = {
      csl = nil,
      type = "literal",
    },
    revdsubtitle = {
      csl = nil,
      type = "literal",
    },
    revdtitle = {
      csl = nil,
      type = "literal",
    },
    revdtitleaddon = {
      csl = nil,
      type = "literal",
    },
    review = {
      csl = nil,
    },
    ["reviewed-author"] = {
      csl = "reviewed-author",
    },
    ["reviewed-genre"] = {
      csl = "reviewed-genre",
    },
    ["reviewed-title"] = {
      csl = "reviewed-title",
    },
    reviewer = {
      csl = nil,
      type = "name",
    },
    reviewerinstitution = {
      csl = nil,
      type = "literal",
    },
    revision = {
      csl = nil,
    },
    role = {
      csl = nil,
      type = "key",
    },
    scale = {
      csl = "scale",
    },
    school = {
      csl = "publisher",
      type = "literal",
    },
    science = {
      csl = nil,
      type = "literal",
    },
    score = {
      csl = nil,
    },
    scribe = {
      csl = nil,
      type = "name",
    },
    script = {
      csl = nil,
      type = "literal",
    },
    ["script-writer"] = {
      csl = "script-writer",
    },
    scriptwriter = {
      csl = nil,
      type = "name",
    },
    section = {
      csl = "section",
      type = "literal",
    },
    semesters = {
      csl = nil,
      type = "entrykey",
    },
    series = {
      csl = "collection-title",
      type = "literal",
    },
    ["series-creator"] = {
      csl = "series-creator",
    },
    seriesaddon = {
      csl = nil,
      type = "literal",
    },
    seriesedition = {
      csl = nil,
    },
    serieseditor = {
      csl = nil,
      type = "name",
    },
    seriesseries = {
      csl = nil,
      type = "literal",
    },
    setlabel = {
      csl = nil,
      type = "literal",
    },
    shelfmark = {
      csl = nil,
      type = "literal",
    },
    short = {
      csl = nil,
    },
    shortarchive = {
      csl = nil,
    },
    shortauthor = {
      csl = nil,
      type = "name",
    },
    shortblog = {
      csl = nil,
      type = "literal",
    },
    shortbookauthor = {
      csl = nil,
      type = "name",
    },
    shortbooktitle = {
      csl = nil,
      type = "literal",
    },
    shortcollection = {
      csl = nil,
      type = "literal",
    },
    shorteditor = {
      csl = nil,
      type = "name",
    },
    shortform = {
      csl = nil,
      type = "literal",
    },
    shorthand = {
      csl = nil,
      type = "literal",
    },
    shorthandintro = {
      csl = nil,
      type = "literal",
    },
    shortissuetitle = {
      csl = nil,
      type = "literal",
    },
    shortjournal = {
      csl = "container-title-short",
      type = "literal",
    },
    shortlabeltitle = {
      csl = nil,
      type = "literal",
    },
    shortlibrary = {
      csl = nil,
      type = "literal",
    },
    shortmaintitle = {
      csl = nil,
      type = "literal",
    },
    shortorganization = {
      csl = nil,
      type = "literal",
    },
    shortserie = {
      csl = nil,
      type = "literal",
    },
    shortseries = {
      csl = nil,
      type = "literal",
    },
    shortsubarchive = {
      csl = nil,
    },
    shortsubseries = {
      csl = nil,
      type = "literal",
    },
    shortsubsubseries = {
      csl = nil,
      type = "literal",
    },
    shorttitle = {
      csl = "title-short",
      type = "literal",
    },
    shorttranslator = {
      csl = nil,
      type = "name",
    },
    shorturl = {
      csl = nil,
    },
    sig1 = {
      csl = nil,
    },
    sig2 = {
      csl = nil,
    },
    sig3 = {
      csl = nil,
    },
    sig4 = {
      csl = nil,
    },
    sign = {
      csl = nil,
      type = "literal",
    },
    size = {
      csl = nil,
    },
    slaccitation = {
      csl = nil,
    },
    smfprice = {
      csl = nil,
      type = "literal",
    },
    ["sort-short"] = {
      csl = nil,
    },
    ["sort-word"] = {
      csl = nil,
    },
    sortas = {
      csl = nil,
    },
    sortkey = {
      csl = nil,
      type = "literal",
    },
    sortname = {
      csl = nil,
      type = "name",
    },
    sortshelfmark = {
      csl = nil,
      type = "literal",
    },
    sortshorthand = {
      csl = nil,
      type = "literal",
    },
    sorttitle = {
      csl = nil,
      type = "literal",
    },
    sortvolume = {
      csl = nil,
      type = "literal",
    },
    sortyear = {
      csl = nil,
      type = "integer",
    },
    source1 = {
      csl = nil,
    },
    specdata = {
      csl = nil,
      type = "literal",
    },
    speciality = {
      csl = nil,
      type = "literal",
    },
    specialitycode = {
      csl = nil,
      type = "literal",
    },
    ssedition = {
      csl = nil,
    },
    standard = {
      csl = nil,
    },
    startnumber = {
      csl = nil,
    },
    startvolume = {
      csl = nil,
    },
    startyear = {
      csl = nil,
    },
    state = {
      csl = nil,
    },
    status = {
      csl = "status",
      type = "key",
    },
    stdcode = {
      csl = "number",
    },
    stitle = {
      csl = nil,
    },
    street = {
      csl = nil,
    },
    subarchive = {
      csl = nil,
    },
    submitted = {
      csl = "submitted",
    },
    subnumber = {
      csl = nil,
      type = "integer",
    },
    subseries = {
      csl = nil,
      type = "literal",
    },
    subsubnumber = {
      csl = nil,
      type = "literal",
    },
    subsubseries = {
      csl = nil,
      type = "literal",
    },
    subtitle = {
      csl = nil,
      type = "literal",
    },
    summarytitle = {
      csl = nil,
      type = "literal",
    },
    supervisor = {
      csl = nil,
      type = "name",
    },
    supplement = {
      csl = "supplement",
    },
    supplemental = {
      csl = nil,
      type = "literal",
    },
    supplementala = {
      csl = nil,
      type = "literal",
    },
    supplementalb = {
      csl = nil,
      type = "literal",
    },
    support = {
      csl = nil,
      type = "literal",
    },
    swhid = {
      csl = nil,
      type = "verbatim",
    },
    swhidcore = {
      csl = nil,
      type = "verbatim",
    },
    symposium = {
      csl = nil,
    },
    systemreq = {
      csl = nil,
      type = "literal",
    },
    text = {
      csl = nil,
    },
    thesisdate = {
      csl = nil,
      type = "date",
    },
    thesistype = {
      csl = nil,
      type = "verbatim",
    },
    thumbnail = {
      csl = nil,
      type = "verbatim",
    },
    timestamp = {
      csl = nil,
    },
    title = {
      csl = "title",
      type = "literal",
    },
    ["title-short"] = {
      csl = "title-short",
    },
    titlea = {
      csl = nil,
      type = "literal",
    },
    titleaddon = {
      csl = nil,
      type = "literal",
    },
    titleb = {
      csl = nil,
      type = "literal",
    },
    titleisdescription = {
      csl = nil,
      type = "literal",
    },
    titlekey = {
      csl = nil,
      type = "key",
    },
    titlenote = {
      csl = nil,
      type = "literal",
    },
    titletype = {
      csl = nil,
      type = "literal",
    },
    totalpages = {
      csl = nil,
    },
    transissue = {
      csl = nil,
    },
    transjournal = {
      csl = nil,
    },
    translation = {
      csl = nil,
    },
    translator = {
      csl = "translator",
      type = "name",
    },
    translatora = {
      csl = nil,
      type = "name",
    },
    translatoratype = {
      csl = nil,
      type = "key",
    },
    translatorb = {
      csl = nil,
      type = "name",
    },
    translatorbtype = {
      csl = nil,
      type = "key",
    },
    translatortype = {
      csl = nil,
      type = "key",
    },
    transnumber = {
      csl = nil,
    },
    transpages = {
      csl = nil,
    },
    transsection = {
      csl = nil,
    },
    transvolume = {
      csl = nil,
    },
    transyear = {
      csl = nil,
    },
    type = {
      csl = "genre",
      type = "key",
    },
    typeaddon = {
      csl = nil,
      type = "literal",
    },
    typeoflit = {
      csl = nil,
    },
    umfnumber = {
      csl = nil,
    },
    update = {
      csl = nil,
      type = "date",
    },
    updated = {
      csl = nil,
    },
    url = {
      csl = "URL",
      type = "uri",
    },
    urlaccessdate = {
      csl = "accessed",
    },
    urldate = {
      csl = "accessed",
      type = "date",
    },
    urldescription = {
      csl = nil,
      type = "literal",
    },
    urlnewline = {
      csl = nil,
    },
    urls = {
      csl = nil,
      type = "uri",
    },
    urltype = {
      csl = nil,
    },
    urlyear = {
      csl = "accessed",
    },
    urn = {
      csl = nil,
      type = "verbatim",
    },
    usera = {
      csl = nil,
      type = "literal",
    },
    userb = {
      csl = nil,
      type = "literal",
    },
    userc = {
      csl = nil,
      type = "literal",
    },
    userd = {
      csl = nil,
      type = "literal",
    },
    usere = {
      csl = nil,
      type = "literal",
    },
    userf = {
      csl = nil,
      type = "literal",
    },
    usualtitle = {
      csl = nil,
      type = "literal",
    },
    value = {
      csl = nil,
    },
    venue = {
      csl = "event-place",
      type = "literal",
    },
    verba = {
      csl = nil,
      type = "verbatim",
    },
    verbb = {
      csl = nil,
      type = "verbatim",
    },
    verbc = {
      csl = nil,
      type = "verbatim",
    },
    version = {
      csl = "version",
      type = "literal",
    },
    versiona = {
      csl = nil,
      type = "literal",
    },
    versionb = {
      csl = nil,
      type = "literal",
    },
    versiontype = {
      csl = nil,
    },
    volformat = {
      csl = nil,
    },
    volsorder = {
      csl = nil,
      type = "literal",
    },
    volume = {
      csl = "volume",
      type = "integer",
    },
    ["volume-title"] = {
      csl = "volume-title",
    },
    ["volume-title-short"] = {
      csl = "volume-title-short",
    },
    volumes = {
      csl = "number-of-volumes",
      type = "integer",
    },
    volumetitle = {
      csl = "volume-title",
    },
    with = {
      csl = nil,
      type = "name",
    },
    withauthor = {
      csl = nil,
      type = "name",
    },
    withauthortype = {
      csl = nil,
      type = "literal",
    },
    withbookauthor = {
      csl = nil,
      type = "name",
    },
    withbookauthortype = {
      csl = nil,
      type = "literal",
    },
    withbookeditor = {
      csl = nil,
      type = "name",
    },
    withbookeditortype = {
      csl = nil,
      type = "literal",
    },
    withbooktranslator = {
      csl = nil,
      type = "name",
    },
    withbooktranslatortype = {
      csl = nil,
      type = "literal",
    },
    witheditor = {
      csl = nil,
      type = "name",
    },
    witheditortype = {
      csl = nil,
      type = "literal",
    },
    withmainauthor = {
      csl = nil,
      type = "name",
    },
    withmainauthortype = {
      csl = nil,
      type = "literal",
    },
    withmaineditor = {
      csl = nil,
      type = "name",
    },
    withmaineditortype = {
      csl = nil,
      type = "literal",
    },
    withmaintranslator = {
      csl = nil,
      type = "name",
    },
    withmaintranslatortype = {
      csl = nil,
      type = "literal",
    },
    withtranslator = {
      csl = nil,
      type = "name",
    },
    withtranslatortype = {
      csl = nil,
      type = "literal",
    },
    word = {
      csl = nil,
    },
    writer = {
      csl = nil,
      type = "name",
    },
    xdata = {
      csl = nil,
      type = "entrykey",
    },
    xid = {
      csl = nil,
    },
    xref = {
      csl = nil,
      type = "entrykey",
    },
    year = {
      csl = nil,
      type = "date",
    },
    ["year-presented"] = {
      csl = nil,
    },
    yearcomp = {
      csl = nil,
    },
    yearfiled = {
      csl = nil,
    },
    zblnumber = {
      csl = nil,
    },
    zenon = {
      csl = nil,
      type = "verbatim",
    },
    zip = {
      csl = nil,
    },
  },
  macros = {
    jan = {
      value = "1",
    },
    feb = {
      value = "2",
    },
    mar = {
      value = "3",
    },
    apr = {
      value = "4",
    },
    may = {
      value = "5",
    },
    jun = {
      value = "6",
    },
    jul = {
      value = "7",
    },
    aug = {
      value = "8",
    },
    sep = {
      value = "9",
    },
    oct = {
      value = "10",
    },
    nov = {
      value = "11",
    },
    dec = {
      value = "12",
    },
    acmcs = {
      value = "ACM Computing Surveys",
    },
    acta = {
      value = "Acta Informatica",
    },
    cacm = {
      value = "Communications of the ACM",
    },
    ibmjrd = {
      value = "IBM Journal of Research and Development",
    },
    ibmsj = {
      value = "IBM Systems Journal",
    },
    ieeese = {
      value = "IEEE Transactions on Software Engineering",
    },
    ieeetc = {
      value = "IEEE Transactions on Computers",
    },
    ieeetcad = {
      value = "IEEE Transactions on Computer-Aided Design of Integrated Circuits",
    },
    ipl = {
      value = "Information Processing Letters",
    },
    jacm = {
      value = "Journal of the ACM",
    },
    jcss = {
      value = "Journal of Computer and System Sciences",
    },
    scp = {
      value = "Science of Computer Programming",
    },
    sicomp = {
      value = "SIAM Journal on Computing",
    },
    tocs = {
      value = "ACM Transactions on Computer Systems",
    },
    tods = {
      value = "ACM Transactions on Database Systems",
    },
    tog = {
      value = "ACM Transactions on Graphics",
    },
    toms = {
      value = "ACM Transactions on Mathematical Software",
    },
    toois = {
      value = "ACM Transactions on Office Information Systems",
    },
    toplas = {
      value = "ACM Transactions on Programming Languages and Systems",
    },
    tcs = {
      value = "Theoretical Computer Science",
    },
  },
  language_code_map = {
    acadian = "fr-CA",
    afrikaans = "af-ZA",
    albanian = "sq-AL",
    american = "en-US",
    amharic = "am-ET",
    arabic = "ar",
    armenian = "hy-AM",
    australian = "en-AU",
    austrian = "de-AT",
    bahasa = "id-ID",
    bahasai = "id-ID",
    bahasam = "id-ID",
    basque = "eu-ES",
    bengali = "bn-BD",
    bgreek = "el-GR",
    brazil = "pt-BR",
    brazilian = "pt-BR",
    breton = "br-FR",
    british = "en-GB",
    bulgarian = "bg-BG",
    canadian = "en-CA",
    canadien = "fr-CA",
    catalan = "ca-AD",
    chinese = "zh",
    croatian = "hr-HR",
    czech = "cs-CZ",
    danish = "da-DK",
    divehi = "dv-MV",
    dutch = "nl-NL",
    english = "en-US",
    esperanto = "eo",
    estonian = "et-EE",
    ethiopia = "am-ET",
    farsi = "fa-IR",
    finnish = "fi-FI",
    francais = "fr-FR",
    french = "fr-FR",
    frenchle = "fr-FR",
    galician = "gl-ES",
    german = "de-DE",
    germanb = "de-DE",
    greek = "el-GR",
    hebrew = "he-IL",
    hindi = "hi-IN",
    ibygreek = "el-CY",
    icelandic = "is-IS",
    indon = "id-ID",
    indonesia = "id-ID",
    interlingua = "ia-FR",
    irish = "ga-IE",
    italian = "it-IT",
    japanese = "ja-JP",
    kannada = "kn-IN",
    lao = "lo-LA",
    latin = "la",
    latvian = "lv-LV",
    lithuanian = "lt-LT",
    magyar = "hu-HU",
    malay = "id-ID",
    malayalam = "ml-IN",
    marathi = "mr-IN",
    meyalu = "id-ID",
    mongolian = "mn",
    naustrian = "de-AT",
    newzealand = "en-NZ",
    ngerman = "de-DE",
    nko = "ha-NG",
    norsk = "nb-NO",
    norwegian = "nn-NO",
    nswissgerman = "de-CH",
    nynorsk = "nn-NO",
    occitan = "oc-FR",
    polish = "pl-PL",
    polutonikogreek = "el-GR",
    portuges = "pt-PT",
    portuguese = "pt-PT",
    romanian = "ro-RO",
    romansh = "rm-CH",
    russian = "ru-RU",
    samin = "se-NO",
    sanskrit = "sa-IN",
    scottish = "gd-GB",
    serbian = "sr",
    slovak = "sk-SK",
    slovene = "sl-SI",
    slovenian = "sl-SI",
    spanish = "es-ES",
    swedish = "sv-SE",
    swiss = "de-CH",
    swissgerman = "de-CH",
    tamil = "ta-IN",
    telugu = "te-IN",
    thai = "th-TH",
    thaicjk = "th-TH",
    tibetan = "bo-CN",
    turkish = "tr-TR",
    turkmen = "tk-TM",
    UKenglish = "en-GB",
    ukrainian = "uk-UA",
    urdu = "ur-IN",
    USenglish = "en-US",
    vietnamese = "vi-VN",
    welsh = "cy-GB",
  },
}
